Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.marshalling
Interface Marshaller

    public interface Marshaller

Method Summary
`MarshallingConfiguration` | `getMarshallingConfiguration()` Returns the MarshallingConfiguration object for this marshaller
`void` | `marshall(OutputStream stream, StatefulKnowledgeSession ksession)` Marshalls the given StatefulKnowledgeSession into the provided OutputStream
`StatefulKnowledgeSession` | `unmarshall(InputStream stream)` Creates StatefulKnowledgeSession using default KnowledgeSessionConfiguration and Environment.
`StatefulKnowledgeSession` | `unmarshall(InputStream stream, KnowledgeSessionConfiguration config, Environment environment)` Creates StatefulKnowledgeSession using the given KnowledgeSessionConfiguration and Environment.
`void` | `unmarshall(InputStream stream, StatefulKnowledgeSession ksession)` Unmarshall the stream into the StatefulKnowledgeSession.

Method Detail

### marshall

    void marshall(OutputStream stream,
                  StatefulKnowledgeSession ksession)
                  throws IOException

  Marshalls the given StatefulKnowledgeSession into the provided OutputStream

  Parameters:
    `stream` -
    `session` -
  Throws:
    `IOException`

### unmarshall

    StatefulKnowledgeSession unmarshall(InputStream stream)
                                        throws IOException,
                                               ClassNotFoundException

  Creates StatefulKnowledgeSession using default KnowledgeSessionConfiguration and Environment. It will then unmarshall the stream into the session. Either KnowledgeSessionConfiguration or Environment may be null and it will use the default.

  Parameters:
    `stream` -
  Returns:
  Throws:
    `IOException`
    `ClassNotFoundException`

### unmarshall

    StatefulKnowledgeSession unmarshall(InputStream stream,
                                        KnowledgeSessionConfiguration config,
                                        Environment environment)
                                        throws IOException,
                                               ClassNotFoundException

  Creates StatefulKnowledgeSession using the given KnowledgeSessionConfiguration and Environment. It will then unmarshall the stream into the session. Either KnowledgeSessionConfiguration or Environment may be null and it will use the default.

  Parameters:
    `stream` -
    `config` -
    `environment` -
  Returns:
  Throws:
    `IOException`
    `ClassNotFoundException`

### unmarshall

    void unmarshall(InputStream stream,
                    StatefulKnowledgeSession ksession)
                    throws IOException,
                           ClassNotFoundException

  Unmarshall the stream into the StatefulKnowledgeSession. All existing state in the session will be lost.

  Parameters:
    `stream` -
    `session` -
  Throws:
    `IOException`
    `ClassNotFoundException`

### getMarshallingConfiguration

    MarshallingConfiguration getMarshallingConfiguration()

  Returns the MarshallingConfiguration object for this marshaller

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.